org.apache.hadoop.yarn.server.nodemanager.util

## Class DefaultLCEResourcesHandler

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.util.DefaultLCEResourcesHandler

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, LCEResourcesHandler

  Deprecated.

      @Deprecated
      public class DefaultLCEResourcesHandler
      extends Object
      implements LCEResourcesHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLCEResourcesHandler()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.conf.Configuration` | `getConf()` Deprecated.
    `String` | `getResourcesOption(org.apache.hadoop.yarn.api.records.ContainerId containerId)` Deprecated.
    `void` | `init(LinuxContainerExecutor lce)` Deprecated.
    `void` | `postExecute(org.apache.hadoop.yarn.api.records.ContainerId containerId)` Deprecated. Called by the LinuxContainerExecutor after the executable inside the container has exited (successfully or not).
    `void` | `preExecute(org.apache.hadoop.yarn.api.records.ContainerId containerId, org.apache.hadoop.yarn.api.records.Resource containerResource)` Deprecated. Called by the LinuxContainerExecutor before launching the executable inside the container.
    `void` | `setConf(org.apache.hadoop.conf.Configuration conf)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLCEResourcesHandler

          public DefaultLCEResourcesHandler()

      Deprecated.

  - ### Method Detail

    - #### setConf

          public void setConf(org.apache.hadoop.conf.Configuration conf)

      Deprecated.
      Specified by:
        `setConf` in interface `org.apache.hadoop.conf.Configurable`

    - #### getConf

          public org.apache.hadoop.conf.Configuration getConf()

      Deprecated.
      Specified by:
        `getConf` in interface `org.apache.hadoop.conf.Configurable`

    - #### init

          public void init(LinuxContainerExecutor lce)

      Deprecated.
      Specified by:
        `init` in interface `LCEResourcesHandler`

    - #### preExecute

          public void preExecute(org.apache.hadoop.yarn.api.records.ContainerId containerId,
                                 org.apache.hadoop.yarn.api.records.Resource containerResource)

      Deprecated.
      Description copied from interface: `LCEResourcesHandler`
      Called by the LinuxContainerExecutor before launching the executable inside the container.
      Specified by:
        `preExecute` in interface `LCEResourcesHandler`
      Parameters:
        `containerId` - the id of the container being launched
        `containerResource` - the node resources the container will be using

    - #### postExecute

          public void postExecute(org.apache.hadoop.yarn.api.records.ContainerId containerId)

      Deprecated.
      Description copied from interface: `LCEResourcesHandler`
      Called by the LinuxContainerExecutor after the executable inside the container has exited (successfully or not).
      Specified by:
        `postExecute` in interface `LCEResourcesHandler`
      Parameters:
        `containerId` - the id of the container which was launched

    - #### getResourcesOption

          public String getResourcesOption(org.apache.hadoop.yarn.api.records.ContainerId containerId)

      Deprecated.
      Specified by:
        `getResourcesOption` in interface `LCEResourcesHandler`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.